%define name smeserver-subsonic
%define version 4.8
%define release 1
Summary: subsonic is a helpdesk system
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
Distribution: SME Server
License: GNU GPL version 2
Group: SMEserver/addon
Source: smeserver-subsonic-%{version}.tar.gz
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}-buildroot
BuildRequires: e-smith-devtools
Requires: e-smith-release >= 8.0
Requires: subsonic 
AutoReqProv: no



%description
subsonic is an application adapted as a contrib for SMEserver

%changelog
* Sat Oct 26 2013  CONTRIB MAKER <tests@pialasse.com> 4.8-1.sme
- initial release
- builds from unchanged .tar.gz 

%prep
%setup  
#-c -n %{name}

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
     > %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)


#%build
#drop in an unchanged .tgz, if required rename directory here, eg remove version number.
#mkdir -p root/opt/
#mv %{name} root/opt/subsonic

#%install
#rm -rf $RPM_BUILD_ROOT
#(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
#rm -f %{name}-%{version}-filelist
#/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
#    > %{name}-%{version}-filelist

#%clean
#cd ..
#rm -rf %{name}

#%files -f %{name}-%{version}-filelist
#%defattr(-,root,root)

%post
#(needed if a contrib and it contains DB templates)
#/etc/e-smith/events/actions/initialize-default-databases 
#expand-template /etc/e-smith/sql/init/loggerdemo-create-schema.sql
#/etc/rc.d/init.d/mysql.init start
#true
